pion::test::config Struct Reference

`#include <unit_test.hpp>`

## Static Public Attributes

static std::ofstream | m_test_log_file
| xml log results output stream (needs to be global)

## Detailed Description

config is intended for use as a global fixture. By including the following line in one source code file of a unit test project, the constructor will run once before the first test and the destructor will run once after the last test:

BOOST_GLOBAL_FIXTURE(pion::test::config);

Definition at line 236 of file unit_test.hpp.

The documentation for this struct was generated from the following file:

- include/pion/test/unit_test.hpp